/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.fixings;

import java.io.Serializable;

import org.dive4elements.river.artifacts.model.DateRange;

public class AnalysisPeriod implements Serializable {

    private static final long serialVersionUID = 1L;

    private DateRange dateRange;

    private QWD[] qSectorAverages;

    private double[] qSectorStdDevs;

    private double maxQ;

    public AnalysisPeriod() {
    }

    public AnalysisPeriod(final DateRange dateRange, final QWD[] qSectorAverages, final double[] qSectorStdDevs, final double maxQ) {
        this.dateRange = dateRange;
        this.qSectorAverages = qSectorAverages;
        this.qSectorStdDevs = qSectorStdDevs;
        this.maxQ = maxQ;
    }

    public DateRange getDateRange() {
        return this.dateRange;
    }

    public QWD[] getQSectorAverages() {
        return this.qSectorAverages;
    }

    public QWD getQSectorAverage(final int i) {
        return this.qSectorAverages[i];
    }

    public double getQSectorStdDev(final int i) {
        return this.qSectorStdDevs[i];
    }

    public double getMaxQ() {
        return this.maxQ;
    }
}